From 16b98b702681a4ada03b0b6c4b7ea80dcac98cb9 Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <vital.had@gmail.com>
Date: Wed, 9 Oct 2024 18:18:06 +0700
Subject: [PATCH 03/10] mm-port-serial-qcdm.c: fix for macOS

---
 src/mm-port-serial-qcdm.c | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/src/mm-port-serial-qcdm.c b/src/mm-port-serial-qcdm.c
index 080f639f..fb14246f 100644
--- a/src/mm-port-serial-qcdm.c
+++ b/src/mm-port-serial-qcdm.c
@@ -20,6 +20,11 @@
 #include <unistd.h>
 #include <string.h>
 
+#ifdef __APPLE__
+#include <libkern/OSByteOrder.h>
+#define le16toh(x) OSSwapLittleToHostInt16(x)
+#endif
+
 #include <ModemManager.h>
 #include <mm-errors-types.h>
 
-- 
2.46.1

